SnapshotDiff (Apache Hadoop HDFS 3.5.0 API)
Description: declaration: package: org.apache.hadoop.hdfs.tools.snapshot, class: SnapshotDiff

Package org.apache.hadoop.hdfs.tools.snapshot

# Class SnapshotDiff

java.lang.Object
org.apache.hadoop.conf.Configured
org.apache.hadoop.hdfs.tools.snapshot.SnapshotDiff

All Implemented Interfaces:
  `org.apache.hadoop.conf.Configurable`, `org.apache.hadoop.util.Tool`

@Private public class SnapshotDiff extends org.apache.hadoop.conf.Configured implements org.apache.hadoop.util.Tool
A tool used to get the difference report between two snapshots, or between a snapshot and the current status of a directory.

     Usage: SnapshotDiff snapshotDir from to
     For from/to, users can use "." to present the current status, and use
     ".snapshot/snapshot_name" to present a snapshot, where ".snapshot/" can be
     omitted.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SnapshotDiff()`
  Construct a SnapshotDiff object.
  `SnapshotDiff(org.apache.hadoop.conf.Configuration conf)`
  Construct a SnapshotDiff object.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static void`
  `main(String[] argv)`
  `int`
  `run(String[] argv)`

  ### Methods inherited from class org.apache.hadoop.conf.Configured

  `getConf, setConf`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface org.apache.hadoop.conf.Configurable

  `getConf, setConf`

- ## Constructor Details

  - ### SnapshotDiff

    public SnapshotDiff()
    Construct a SnapshotDiff object.

  - ### SnapshotDiff

    public SnapshotDiff(org.apache.hadoop.conf.Configuration conf)
    Construct a SnapshotDiff object.

- ## Method Details

  - ### run

    public int run(String[] argv) throws Exception
    Specified by:
      `run` in interface `org.apache.hadoop.util.Tool`
    Throws:
      `Exception`

  - ### main

    public static void main(String[] argv) throws Exception
    Throws:
      `Exception`